Loaing......

玩机|RiruV23.0导致Edxposed失败的解决 - 廉一鸣的博客

玩机|RiruV23.0导致Edxposed失败的解决

Posted by 廉一鸣 on December 5, 2020

玩机|RiruV23.0导致Edxposed失败的解决

存储重定向和edxposed都是基于Rikka大佬开发的riru

安装了riru才可以安装存储重定向和edxposed,类似于magisk模块也就是先要刷入magisk,才可以刷入其他模块

鱿鱼riru也是模块

所以形成了套娃关系

通过magisk刷入riru模块>再刷入基于riru工作的edxp

所以如果magisk或者riru任意一个出问题了,存储重定向和edXP就会工作不了


最近riru模块推出了最新的3.0版本

img 装上后发现edxp失效了,基于riru的存储重定向同样也失效了

因为是magisk官方模块,所以渠道问题可以排除

就一定是兼容性的问题(比如riruv2.1就支持不了最新的存储重定向模块,或者新版本riru兼容不了旧版本的edxp)

但是edxp和存储重定向在magisk里有官方模块,没有更新

所以一开始打消了对最新的riru兼容不了旧版的edxp的怀疑

事实证明确实是magisk个模块仓库的更新延迟

出现失败的原因就是最新版的riru兼容不了旧版本的edxp

img 这是magisk仓库的版本

这时候回到edxpmanager里

img 会发现这时候最新的edxp版本是v0.5.0.6

但是和刚刚那张图上的

img 所以是magisk里面的edxp版本太老与riruv23.0兼容不了

所以解决方法就是→

edxp里下载最新的模块(YAHFA或者CANARY都行)

放心更新riruv23.0就行了


写在最后

magisk模块仓库使用的github的远程仓库做的服务器

所以在magisk里下的模块都是github仓库里发行的版本

今天这种情况就属于模块仓库更新不及时导致magisk仓库里的版本更新延迟